![](https://travis-ci.org/inboundnow/cta.svg?branch=master)

Create Calls to Action for your WordPress site. Monitor and improve conversion rates, run A/B split tests, customize your own CTA templates and more.

## Description ##

> WordPress Calls to Action works as a standalone plugin or hand in hand with [WordPress Landing Pages](http://wordpress.org/plugins/landing-pages/ "Learn more about Landing Pages") & [WordPress Leads](http://wordpress.org/plugins/leads/ "Learn more about WordPress Leads") to create a powerful & free lead generation system for your business.

This plugin creates calls to action for your WordPress site. It gives site owners the ability to monitor and track conversion rates, run a/b or multivariate split tests on calls to action, and most importantly increase lead flow!

The calls to action plugin was specifically designed with inbound marketing best practices in mind and will help you drive & convert more leads on your site.

Calls to action are an ideal way to convert more of your passive website visitors into active leads or email list subscribers.

http://www.youtube.com/watch?v=-qaYgwV7p-8

### Highlights ###

* Create beautiful calls to action on your WordPress site.
* Visual Editor to view changes being made on the fly!
* Create Popups Calls to Actions for improved conversion rates
* Track conversion rates on your calls to action for continual optimization.
* Easily clone existing calls to action and run A/B Split tests on variations.
* Gather lead intelligence and track lead activity with <a href="http://wordpress.org/plugins/leads/screenshots/">WordPress Leads</a>
* Easily implement your own custom call to action design or use our library of custom call to action designs


### Developers & Designers ###

We built the calls to action plugin as a framework! Need A/B testing out of the box implemented for your existing designs? Use WordPress Calls to Action to quickly spin up new calls to action that have all the functionality your clients will need.

You can quickly take your existing designs and implement them using our <a href="http://docs.inboundnow.com/landing-pages/dev">templating framework</a>.

The plugin is also fully extendable and has a number of actions, filters, and hooks available for use. If a hook doesn't exist, simply ask and we can implement custom changes.


[Follow Development on GitHub ](https://github.com/inboundnow/cta "Follow & Contribute to core development on GitHub")
 |
[Follow Development on Twitter ](https://twitter.com/inboundnow "See our latest development commits on Twitter")

## Installation ##

1. Upload `wp-call-to-actions` folder to the `/wp-content/plugins/` directory
1. Activate the plugin through the 'Plugins' menu in WordPress

## Frequently Asked Questions ##
*Can I create my own call to action designs?,
*Yes! You can learn how to <a href="http://plugins.inboundnow.com/docs/dev/creating-templates/">create your own call to action template here</a>.
